Subject: Re: bug#71823: 31.0.50; project-mode-line and eglot duplicate project-name in mode-line

From: Spencer Baugh <[email-masked]>
Date: Sat, 29 Jun 2024 10:24:09 -0400

On Sat, Jun 29, 2024, 8:41 AM Spencer Baugh <[email-masked]> wrote:

> On Sat, Jun 29, 2024, 8:21 AM João Távora <[email-masked]> wrote:
>
>> On Sat, Jun 29, 2024 at 1:17 PM Dmitry Gutov <[email-masked]> wrote:
>>
>> > Either way, it might make sense for Eglot to check out that project.el's
>> > variable and choose the format accordingly.
>>
>> Yes, and that's what the proposed eglot-mlf-project-maybe element to
>> the custom variable eglot-mode-line-format would do.
>>
>
> In the new variable, I think eglot-mlf-project-maybe should be the
> default, since it's essentially always the better behavior.
>
> If you agree it should be the default in the future customizable variable,
> can we just make the change now when it's not customizable?
>

Or, here's an alternative idea, more aggressive:

What if Eglot just sets project-mode-line=t in eglot-managed buffers, and
removes the project-name from the Eglot entry entirely?

Then the language identifier would be the major mode, the project
identifier would be project-mode-line, and the eglot status indicator would
just be for the status of the server.